<html>
    <body>
        <?php
        if ($formatcetak == 'excel') {
            header("Content-type: application/vnd-ms-excel");
            header("Content-Disposition: attachment; filename=cetakexport.xls");
        }

        ini_set("max_execution_time", 5000);
        ini_set('memory_limit', '1024M');
        ?>

        <div style="position: absolute;top: 30px; left: 30px;"><img src="<?= $ar_pemda->s_logo ?>" width="60"></div>
        <div>
            <div style='width: 100%;font-family:sans-serif;'>
                <p style="text-align: center;">
                    <strong style=" font-size: 10pt; ">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?></strong><br>
                    <strong style=" font-size: 12pt; "><?= strtoupper($ar_pemda->s_namainstansi); ?></strong><br>
                    <span style="font-size:8pt"><?= strtoupper($ar_pemda->s_alamatinstansi); ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?> <?= $ar_pemda->s_kodepos ?></span>
                </P>
            </div>
            <table width="100%" cellpadding="4" style="font-family:sans-serif;border-collapse: collapse;border-top: 4px double black;">
                <tr><th colspan="11" style="">&nbsp;</th></tr>
                <tr>
                    <th colspan="11" style="font-size:12pt;">DAFTAR PENDATAAN PAJAK <?= strtoupper($ar_jenis['s_namajenis'])?></th>
                </tr>
                <tr><th colspan="11" style="">&nbsp;</th></tr>
                <tr style="background:#f7f7f7;">
                    <th style="border: 1px solid black;">NO.</th>
                    <th style="border: 1px solid black;">NO.SPTPD</th>
                    <th style="border: 1px solid black;">TGL PENDATAAN</th>
                    <th style="border: 1px solid black;">NPWPD</th>
                    <th style="border: 1px solid black;">NAMA WP</th>
                    <th style="border: 1px solid black;">NIOP</th>
                    <th style="border: 1px solid black;">NAMA OBJEK/USAHA</th>
                    <th style="border: 1px solid black;">MASA PAJAK</th>
                    <th style="border: 1px solid black;">JUMLAH PAJAK (Rp)</th>
                    <th style="border: 1px solid black;">KODE BAYAR</th>
                    <th style="border: 1px solid black;">STATUS BAYAR</th>
                </tr>
                <?php
                $counter = 1;
                foreach ($data as $v):
                $status_bayar = (!empty($row['t_tglpembayaran'])) ? 'LUNAS' : 'BELUM BAYAR';
                ?>
                <tr>
                    <td style="border: 1px solid black;"><?=$counter?></td>
                    <td style="border: 1px solid black;text-align: center;"><?=$v['t_nourut']?></td>
                    <td style="border: 1px solid black;text-align: center;"><?=date('d-m-Y', strtotime($v['t_tglpendataan']))?></td>
                    <td style="border: 1px solid black;text-align: center;"><?=$v['t_npwpd']?></td>
                    <td style="border: 1px solid black;"><?=$v['t_nama']?></td>
                    <td style="border: 1px solid black;text-align: center;"><?=$v['t_nop']?></td>
                    <td style="border: 1px solid black;"><?=$v['t_namaobjek']?></td>
                    <td style="border: 1px solid black;text-align: center;"><?=date('d-m-Y', strtotime($v['t_masaawal'])).' s/d '.date('d-m-Y', strtotime($v['t_masaakhir']))?></td>
                    <td style="border: 1px solid black;text-align: right;"><?=number_format($v['t_jmlhpajak'])?></td>
                    <td style="border: 1px solid black;text-align: center;"><?=$v['t_kodebayar']?></td>
                    <td style="border: 1px solid black;text-align: center;"><?=$status_bayar?></td>
                </tr>
                <?php
                $counter++;
                $totalpajak += $v['t_jmlhpajak'];
                endforeach;
                ?>
                <tr>
                    <th style="border: 1px solid black;text-align: center;" colspan="8">TOTAL PAJAK</th>
                    <th style="border: 1px solid black;text-align: right;"><?=number_format($totalpajak)?></th>
                    <th style="border: 1px solid black;text-align: center;" colspan="2"></th>
                </tr>
            </table>

        </div>
        
    <?php if ($formatcetak == 'pdf') { ?> 
    <htmlpagefooter name="MyCustomFooter">
        <table style="vertical-align: bottom; font-family: serif;" width="100%">
            <tbody>
                <tr>
                        <!--<td width="33%"><span style="font-weight: bold; font-style: italic;">{DATE j-m-Y}</span></td>-->
                    <td style="font-style: italic;text-align: left;font-size: 10px;border: 1px solid #fff;" width="50%">Printed by SIMPATDA</td>
                    <td style="font-style: italic;text-align: right;font-size: 12px;border: 1px solid #fff;" width="50%">Halaman {PAGENO} dari {nbpg}</td>
                </tr>
            </tbody>
        </table>
    </htmlpagefooter>
    <?php } ?>
</body>
</html>

<style type="text/css" media="print">
    @page {
        margin: 30px 40px 50px 30px;
        /* ensure you append the header/footer name with 'html_' */
        header: html_MyCustomHeader; /* sets <htmlpageheader name="MyCustomHeader"> as the header */
        footer: html_MyCustomFooter; /* sets <htmlpagefooter name="MyCustomFooter"> as the footer */
    }   
</style>
